# Frequently Asked Questions

## How do I put files into nginx container?

1.  Retrieve the files in required folder structure.

2.  Copy them into nginx image.

    ```sh
    docker \
        cp ./ kemono-nginx:/storage
    ```

3.  Add required permissions to that folder.

    ```sh
    docker                  \
        exec kemono-nginx   \
        chown --recursive   \
        nginx /storage
    ```

## How Do I Install Python 3.12 on Ubuntu 22?
Through a PPA (Personal Package Archives).

1. Install required tooling and add the PPA:

   ```sh
   sudo apt install --assume-yes software-properties-common
   sudo add-apt-repository ppa:deadsnakes/ppa
   ```

2. Update local `apt` listing and install required python dependencies:

   ```sh
   sudo apt update
   sudo apt install \
     python3.12 \
     python3.12-dev \
     python3.12-distutils
   ```

3. Confirm python 3.12 is installed
   ```sh
   which python3.12
   ```
